<?php
namespace Teknisa\MAN\Services;

use Teknisa\MAN\Utilities\Query;
use Doctrine\ORM\EntityManager;

class CadTipoLojaService {
   
    protected $entityManager;
    
    public function __construct($entityManager) {
        $this->entityManager = $entityManager;
    }
    
	public function inserirTipoLoja ($conditions){
        try{
            $this->entityManager->getConnection()->executeQuery(self::INSERT_TIPOLOJA, $conditions);
        }catch (\Exception $e) {
            throw $e;
        }
    }
    
    public function deleteCascade($conditions){
        try{
            $this->entityManager->getConnection()->executeQuery(self::DELETE_CASCADE, $conditions);
        }catch (\Exception $e) {
            throw $e;
        }
    }
    
    
    const DELETE_CASCADE = "
    DELETE FROM FILILOJATIPO 
        WHERE CDTIPOLOJA = :CDTIPOLOJA";
    
    
    const INSERT_TIPOLOJA = "
	    INSERT INTO FILILOJATIPO (
            CDFILIAL,
            CDTIPOLOJA,
            CDLOJA,
            NRORG,
            IDATIVO,
            DTULTATU,
            NRORGINCLUSAO,
            CDOPERINCLUSAO,
            NRORGULTATU,
            CDOPERULTATU
        ) VALUES (
            :CDFILIAL,
            :CDTIPOLOJA,
            :CDLOJA,
            :NRORG,
            'S',
            :DTULTATU,
            :NRORG,
            :CDOPERULTATU,
            :NRORG,
            :CDOPERULTATU
        )
    ";
    
}